package com.iamberry.rent.face.rebate;

import java.util.List;
import java.util.Map;

import com.iamberry.wechat.core.entity.rent.RebateRecord;
import com.iamberry.wechat.core.entity.rent.RentTypeInfo;
import com.iamberry.wechat.tools.ResponseJson;

public interface OrderRebateService {

	/**
	 * 根据id和状态查询租赁类型数据
	 * @param rentTypeInfo
	 * @return
	 */
	RentTypeInfo getRebateType(RentTypeInfo rentTypeInfo);
	
	/**
	 * 查询租赁方式列表
	 * @param rentTypeInfo
	 * @return
	 */
	List<RentTypeInfo> listRebateType(RentTypeInfo rentTypeInfo);
	
	/**
	 * 添加待返利信息
	 * @param rentOrderId
	 * @param openId
	 * @return
	 */
	boolean saveRentOrderRebate(String rentOrderId, String openId);
	
	/**
	 * 保存返利内容
	 * @param rentOrderId
	 * @param type
	 * @param openId
	 * @param resOpenId
	 * @param rebateLevel
	 * @return
	 */
	boolean saveRebateRecord(String rentOrderId, int type, String openId, String resOpenId, int rebateLevel);

	/**
	 * 查询待转账的返利记录
	 * @param pageSize
	 * @param pageNO
	 * @param isPageTotal
	 * @return
	 */
	Map<String, Object> listPayRebate(int pageSize, int pageNO, boolean isPageTotal);

	/**
	 * 完成支付转账
	 * @param id
	 * @return
	 */
	ResponseJson transPay(Integer id);
}
